Page MenuHomePhabricator

Clicking 'Allow' multiple times quickly causes auth to fail
Closed, ResolvedPublic

Description

If I start clicking frantically on the "Allow" button, (sometimes just twice in a row, a common misclick) then the OAuth process usually fails. Sometimes it reports at 009 error (token already used), and sometimes it's a different error. This seems to be a pretty common issue among users of dashboard.wikiedu.org.

Event Timeline

Ragesoss raised the priority of this task from to Needs Triage.
Ragesoss updated the task description. (Show Details)
Ragesoss moved this task to Backlog on the MediaWiki-extensions-OAuth board.
Ragesoss added a subscriber: Ragesoss.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 11 2015, 11:30 PM
Tgr added a subscriber: Tgr.Dec 11 2015, 11:58 PM

Presumably the OOUI dialog prevents double-submit. Is this a big enough problem to fix in the current interface?

Also, do you know what the different error is? E009 is the expected behavior here (well, "expected" from a technical point of view), I'm curious what else could happen on a double-submit.

Change 258724 had a related patch set uploaded (by Gergő Tisza):
Disable authorization form button after submit

https://gerrit.wikimedia.org/r/258724

Tgr added a comment.Dec 13 2015, 2:37 AM

Is this a big enough problem to fix in the current interface?

I guess that's a stupid question when the fix is three lines of Javascript.

Thanks @Tgr! I don't remember exactly, and haven't been able to recreate, the other error(s) I've seen, but I'll keep closer watch.

Change 258724 merged by jenkins-bot:
Disable authorization form button after submit

https://gerrit.wikimedia.org/r/258724

Ragesoss closed this task as Resolved.Jul 11 2016, 8:46 PM
Ragesoss claimed this task.